Page MenuHomePhabricator

Improve code quality and maintainability of RepoNG
Closed, ResolvedPublic

Description

As part of implementing the parent task, RepoNG codebase has been improved as follows:

  • Class declarations were separated from code with side effects: 416572a
  • Code is organized in one class per file and is using namespaces: 416572a
  • Code linting has been updated to current standards: 9fed5562
  • Descriptions have been added to repong.php subcommands: 439aca3
  • Exception messages are now more informative: 6cbc903e732
  • Update/export commands are no longer affected by users' configuration: a6e9e8d4

In addition, while implementing the parent task, following issues were observed and fixed:

  • Keyholder configuration in Puppet was not working neither for production or development: b85f37f
  • The list subcommand of repong.php was conflicting with built-in command. It was renamed to avoid conflict: 2987446

Event Timeline

Restricted Application removed a project: Patch-For-Review. · View Herald TranscriptMar 17 2020, 4:00 PM
Nikerabbit updated the task description. (Show Details)Mar 17 2020, 4:01 PM
Nikerabbit updated the task description. (Show Details)
Nikerabbit triaged this task as Low priority.Mar 24 2020, 7:50 AM
Nikerabbit updated the task description. (Show Details)
Nikerabbit closed this task as Resolved.Apr 2 2020, 11:57 AM